/*
   Form render 自定义组件 :数组
*/
import React, { useCallback, useEffect, useRef, useState } from 'react';
import { MinusCircleOutlined, PlusOutlined } from '@ant-design/icons';
import antdUI from './config.js';
const { Form, Input, Row, Col, Button, Upload, InputNumber, Select } = antdUI;

const VArrayList = (props) => {
  const { addons, schema, widgetprops, value, onChange, ...rest } = props;
  const ref = useRef(null);
  //修改数据
  const handleChange = useCallback((value) => {
    addons?.setValueByPath(addons.dataPath, ref.current?.getFieldValue(schema.$id));
  }, []);

  return (
    <Form ref={ref}>
      <Form.List name={schema.$id} {...rest}>
        {(fields, { add, remove }, { errors }) => (
          <>
            {fields.map((field, index) => (
              <Form.Item required={schema.required} key={field.key}>
                <Form.Item {...field} noStyle>
                  <Input onChange={handleChange} style={{ width: '60%' }} />
                </Form.Item>
                {fields.length > 1 ? (
                  <MinusCircleOutlined
                    onClick={() => {
                      remove(field.name);
                      handleChange();
                    }}
                  />
                ) : null}
              </Form.Item>
            ))}
            <Form.Item>
              <Button
                type="dashed"
                onClick={() => {
                  add();
                  handleChange();
                }}
                icon={<PlusOutlined />}
              >
                Add
              </Button>
              <Form.ErrorList errors={errors} />
            </Form.Item>
          </>
        )}
      </Form.List>
    </Form>
  );
};
export default React.memo(VArrayList);
